> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建答案

> AI 将执行诸如搜索和浏览网页等操作，以找到所提供任务的答案。执行时间为 3-30 秒，具体取决于复杂性。  对于较长的任务，请改用 agent 端点。参见 [Agent 功能](/features/agents)。参见 [Answers 功能](/features/answers)。



## OpenAPI

````yaml zh/openapi/answers.json POST /v1/answers
openapi: 3.0.3
info:
  title: Answers API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/answers:
    post:
      summary: 创建答案
      description: >-
        AI 将执行诸如搜索和浏览网页等操作，以找到所提供任务的答案。执行时间为 3-30 秒，具体取决于复杂性。  对于较长的任务，请改用 agent
        端点。参见 [Agent 功能](/features/agents)。参见 [Answers 功能](/features/answers)。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                task:
                  type: string
                  description: 要执行的任务。
                json_format:
                  type: object
                  description: 期望的输出 JSON 对象，带有空值作为模式，或者简单地描述你想要的数据作为字符串。
              required:
                - task
      responses:
        '200':
          description: 成功响应并返回答案。
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                  created:
                    type: integer
                  metadata:
                    type: object
                  task:
                    type: string
                  result:
                    type: object
                    properties:
                      json_content:
                        type: string
                      json_hosted_url:
                        type: string
        '400':
          description: 错误请求（缺少任务）
        '402':
          description: 无效的 API 密钥
        '500':
          description: 内部服务器错误
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Bearer 认证头格式为 Bearer <token>，其中 <token> 是你的认证令牌。

````